#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf6-kcolorscheme
Version		:	6.3.0
Release		:	17.0.10.rel%{?dist}
Summary		:	KDE Frameworks to read and interact with KColorScheme

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf6-rpm-macros
BuildRequires	:	kf6-kconfig-devel
BuildRequires	:	kf6-kcoreaddons-devel
BuildRequires	:	kf6-kguiaddons-devel
BuildRequires	:	kf6-ki18n-devel
#-----------------------------------------------------------------------------
%description
KDE Frameworks to read and interact with KColorScheme

#-----------------------------------------------------------------------------
%files			-f %{sname}6.lang
%defattr(-,root,root,-)
%doc README.md 
%license LICENSES/*.txt
%{_kf6_libdir}/libKF6ColorScheme.so.6*
%{_kf6_datadir}/qlogging-categories6/%{sname}.categories


#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf6_includedir}/KColorScheme/k*.h
%{_kf6_includedir}/KColorScheme/K*
%{_kf6_libdir}/cmake/KF6ColorScheme/KF6ColorScheme*.cmake
%{_kf6_libdir}/libKF6ColorScheme.so
%{_qt6_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt6_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_BINDIR=%{_bindir}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF 					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
	cmake							\
	--install						\
	_bld

%find_lang %{sname}6 --all-name
#-----------------------------------------------------------------------------
%changelog
